svnpath=svn://dev.webdev.ouj.com/pub/wxgame/taptapstar
svntemp=./temp/pubsvn
taskurl='http://webdev.ouj.com/index.php?r=deploy/index&task_id=122'
respath=./build/wechatgame/res
subpath=./taptapstarSubGame

cd ../

echo '****** 正在拉取最新 ******'
git pull

echo '****** 安装npm依赖 ******'
npm install

echo '****** 正在构建主域 ******'
npm run build
echo '****** 成功构建主域 ******'
echo '...'
echo '...'

#echo '****** 正在构建子域 ******'
#cd ${subpath} && npm run build
#echo '****** 成功构建子域 ******'
#cd ../

echo '****** 正在压缩图片 ******'
pngquant --quality=60-70 -vf --ext .png ./build/wechatgame/res/raw-assets/**/*.png

echo '****** 正在从svn checkout内容 ******'
svn checkout ${svnpath} ${svntemp}

echo '****** 复制res目录到svn仓库对应位置 ******'
cp -rf ./build/wechatgame/res ${svntemp}

echo '****** 正在提交svn ******'
cd ${svntemp} && svn add --force * --auto-props --parents --depth infinity -q && svn commit -m 'wxgame_taptapstar resource commit'

# echo '****** 清理临时svn目录 ******'
# cd ../../ && rm -rf ${svntemp}

#echo '****** 开始rsync同步raw-assets内容到服务器 ******'
#echo '...'

echo '****** 正在删除本地resource目录内容 ******'
cd ../../ && rm -rf ${respath}
echo '...'

echo '****** 正在打开代码发布系统 ******'
open ${taskurl}

#echo '****** 正在启动微信开发者工具 ******'
#cli -o

#echo '****** 开始上传到微信 ******'
#cli -u 0.5.13@/Users/constance/Code/DWG/allstar/build/wechatgame --upload-desc 'Allstar_0.5.13'

#cli -p /Users/constance/Code/DWG/allstar/build/wechatgame
